Search Gradle plugins

Version 1.0.0 (latest)

Created 09 August 2022.

Applies both the CurseForge & Modrinth Publishing plugins

Using the plugins DSL:

plugins {
  id "net.galacticraft.publish.base" version "1.0.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "net.galacticraft.publish.base:publishing:1.0.0"
  }
}

apply plugin: "net.galacticraft.publish.base"

Using the plugins DSL:

plugins {
  id("net.galacticraft.publish.base") version "1.0.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("net.galacticraft.publish.base:publishing:1.0.0")
  }
}

apply(plugin = "net.galacticraft.publish.base")

Learn how to apply plugins to subprojects